PXRR(1)

NAME
pxrr - reroot (or unroot) a tree file and produce a newick

SYNOPSIS
pxrr [OPTIONS]...

DESCRIPTION
Reroot (or unroot) a tree file and produce a newick. This will take a newick- or nexus-formatted tree from a file or STDIN. Output is written in newick format.

OPTIONS

-t, --treef=FILE
    input tree file, STDIN otherwise

-g, --outgroups=CSL
    outgroup sep by commas (NO SPACES!)

-f, --namesf=FILE
    outgroups in a file (each on a line)

-r, --ranked
    turn on ordering of outgroups. will root on first one present

-u, --unroot
    unroot the tree

-s, --silent
    do not error if outgroup(s) not found

-o, --outf=FILE
    output tree file, STOUT otherwise

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12): 1886-1888. https://doi.org/10.1093/bioinformatics/btx063.

AUTHOR
Written by Stephen A. Smith (blackrim), Joseph W. Brown

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2014-2024 FePhyFoFum License GPLv3